Dissociate Schedule

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/schedule

A schedule is an automated task that controls one of the following:

  • an alert for a chart on a dashboard

  • an export of a dashboard or a chart

  • a synchronization of a dataset, either as a Warp acceleration sync or as a sync of a webservice based dataset (like Google Drive, Asana or others)

To break the link between two resources, simply provide the resource (dashboard or dataset) ID and make sure that the 'role' of a resource is uppercase. Dissociating can be done in both directions.

Request parametersResponse schema
id UUID

The unique identifier of the entity

started_at DATETIME

Initial start date of the synchronization or export. This is the reference for further scheduling.

frequency_quantity NUMBER

How often the schedule runs, together with frequency_unit .

frequency_unit STRING

Time unit used with frequency_quantity .

timezone STRING

The timezone used for the schedule (for example: Europe/Brussels or America/New_York).

active BOOLEAN

Whether the schedule is currently enabled. Can be used to temporarily disable the schedule without removing it.

task OBJECT

Task details for a screenshot or export schedule. Will be null for dataset synchronization schedules.

retries NUMBER

Number of retries for the schedule.

completed_at DATETIME

RFC 3339 date time string indicating when the schedule last completed.

scheduled_at DATETIME

RFC 3339 date time string indicating when the schedule is next due to run.

last_execution_status STRING

Status of the last schedule execution.

last_execution_error STRING

Error reported by the last schedule execution.

last_execution_warning STRING

Warning reported by the last schedule execution.

securable_id STRING

ID of the linked dashboard or dataset. Include the Securable association to retrieve the full securable details.

user_id STRING

ID of the user that owns this schedule.

created_at DATETIME

RFC 3339 date time string indicating when the resource was created

updated_at DATETIME

RFC 3339 date time string indicating when the resource was last updated

Can be associated to:
Alert
Securable
User
Did this page help you?
Yes No
Language
Shell
Node
Java
.NET
Python
PHP
Install
npm install @luzmo/nodejs-sdk
Example Response
200
400
500
{
  "id": "29db3c0e-be2b-488b-9b54-d1d9ae9dff3a",
  "task": null,
  "started_at": "2018-09-03T12:38:18.614Z",
  "frequency_quantity": 1,
  "frequency_unit": "day",
  "retries": 0,
  "active": true,
  "completed_at": "2018-09-03T12:38:18.614Z",
  "created_at": "2018-09-03T12:38:18.630Z",
  "updated_at": "2018-09-03T12:38:18.656Z",
  "last_execution_status": "completed",
  "last_execution_error": null,
  "last_execution_warning": null,
  "user_id": "b0d76f5d-f3da-4c55-9497-d8457ccdccda",
  "securable_id": "b3cfbfc2-a9c0-48e3-b726-b93bdb569bfa",
  "scheduled_at": "2018-09-04T12:38:18.614Z",
  "timezone": "Europe/Brussels"
}